## puppet 2.7.18

=== debian/changelog ===
puppet (2.7.18-3~bpo60+1) squeeze-backports; urgency=high

  * Backport to squeeze-backports.

 -- Micah Anderson <micah@debian.org>  Wed, 13 Mar 2013 15:28:34 -0400

puppet (2.7.18-3) unstable; urgency=high

  * Add patch to fix puppet vulnerabilities (CVE-2013-1640, CVE-2013-1652,
    CVE-2013-1653, CVE-2013-1654, CVE-2013-1655, CVE-2013-2275)
     - CVE-2013-1640 - Remote code execution on master from authenticated
       clients
     - CVE-2013-1652 - Insufficient input validation
     - CVE-2013-1653 - Remote code execution
     - CVE-2013-1654 - Protocol downgrade
     - CVE-2013-1655 - Unauthenticated remote code execution risk
     - CVE-2013-2275 - Incorrect default report ACL

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 13 Mar 2013 15:45:25 +0100

puppet (2.7.18-2) unstable; urgency=low

  [ Faidon Liambotis ]
  * Install all files required by vim-addon-manager (Closes: #683834)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 19 Sep 2012 11:45:03 +0200

puppet (2.7.18-1~bpo60+1) squeeze-backports; urgency=high

  * Backport 2.7.18-1
  * Ignore all packaging changes between 2.7.14-1 and 2.7.18-1 relating to
    the wheezy ruby policy.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 13 Jul 2012 15:00:36 +0200

puppet (2.7.18-1) unstable; urgency=high

  * New upstream release (CVE-2012-3864, CVE-2012-3865,
    CVE-2012-3866, CVE-2012-3867)
  * Restrict puppet 2.7 to only run on ruby1.8
    - follow http://docs.puppetlabs.com/guides/platforms.html
    - backout ruby1.9.1 patches
  
 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 11 Jul 2012 15:40:56 +0200

puppet (2.7.17-1) unstable; urgency=low

  * New upstream release
  * Support ruby1.9 and ruby1.8 with dh_ruby packaging
  * Add missing vim indent file
  * Add patch to fix fqdn_rand function for ruby 1.9
  * Add patch to fix require warnings for ruby 1.9

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Jun 2012 16:03:16 +0200

puppet (2.7.14-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze-backports.
  * remove puppet-testsuite, as it requires packages that cannot be
    currently backported

 -- Micah Anderson <micah@debian.org>  Fri, 18 May 2012 13:49:10 -0400

puppet (2.7.14-1) unstable; urgency=low

  * Imported Upstream version 2.7.14
  * Add apache headers module (Closes: #670424)
  * Revert patch for upstart provider, fixed upstream
  * Convert fakes.rb commit to quilt patch
  * Convert Rakefile commit to quilt patch
  * Use breaks/replaces instead of conflicts in debian/control
  * Update debian/copyright (format 1.0)
  * Update lintian overrides
  * Update descriptions in init scripts, debian/control and quilt patches
  * Maintainer scripts: Use "set -e" instead of "-e" on the shebang line

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 05 May 2012 12:04:45 +0200

puppet (2.7.13-1) unstable; urgency=high

  * Imported Upstream version 2.7.13 (CVE-2012-1906, CVE-2012-1986,
    CVE-2012-1987, CVE-2012-1988, CVE-2012-1989)
  * Remove superfluous dependency on facter (Closes: #668136)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 11 Apr 2012 05:19:28 +0200

puppet (2.7.12-3) unstable; urgency=low

  * Remove mongrel support (Closes: #664236)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 03 Apr 2012 19:08:19 +0200

puppet (2.7.12-2) unstable; urgency=low

  * Add install section for systemd services
  * Backport fix for runit/daemontools services (Closes: #663873)
  * Bump standards version (no changes)
  * Ensure puppet group exists (Closes: #650527)
  * Update passenger documentroot (Closes: #662866)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 25 Mar 2012 19:52:54 +0200
