=== debian/control ===
Source: puppet
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5)
Build-Depends: debhelper (>= 8.1.0~), openssl
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
Vcs-Browser: http://git.debian.org/?p=pkg-puppet/puppet.git
Homepage: http://projects.puppetlabs.com/projects/puppet

Package: puppet-common
Architecture: all
Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, libaugeas-ruby1.8, adduser, facter, lsb-base, sysv-rc (>= 2.87) | file-rc
Recommends: lsb-release, debconf-utils
Suggests: ruby-selinux | libselinux-ruby1.8, librrd-ruby1.8
Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
Description: Centralized configuration management
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
 separate elements normally aggregated in different files, like users,
 cron jobs, and hosts, along with obviously discrete elements like
 packages, services, and files.
 .
 Puppet's simple declarative specification language provides powerful
 classing abilities for drawing out the similarities between hosts while
 allowing them to be as specific as necessary, and it handles dependency
 and prerequisite relationships between objects clearly and explicitly.
 .
 This package contains the puppet software and documentation.  For the startup
 scripts needed to run the puppet agent and master, see the "puppet" and
 "puppetmaster" packages, respectively.

Package: puppet
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby1.8
Recommends: rdoc
Suggests: puppet-el, vim-puppet, etckeeper
Description: Centralized configuration management - agent startup and compatibility scripts
 This package contains the startup script and compatbility scripts for the
 puppet agent, which is the process responsible for configuring the local node.
 .
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
 separate elements normally aggregated in different files, like users,
 cron jobs, and hosts, along with obviously discrete elements like
 packages, services, and files.
 .
 Puppet's simple declarative specification language provides powerful
 classing abilities for drawing out the similarities between hosts while
 allowing them to be as specific as necessary, and it handles dependency
 and prerequisite relationships between objects clearly and explicitly.

Package: puppetmaster-common
Architecture: all
Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${binary:Version}), lsb-base
Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
Suggests: apache2 | nginx, puppet-el, vim-puppet,
 stompserver, ruby-stomp | libstomp-ruby1.8 (>= 1.1.5), rails (>= 1.2.3-2), rdoc,
 ruby-ldap | libldap-ruby1.8
Description: Puppet master common scripts
 This package contains common scripts for the puppet master, 
 which is the server hosting manifests and files for the puppet nodes.
 .
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
 separate elements normally aggregated in different files, like users,
 cron jobs, and hosts, along with obviously discrete elements like
 packages, services, and files.
 .
 Puppet's simple declarative specification language provides powerful
 classing abilities for drawing out the similarities between hosts while
 allowing them to be as specific as necessary, and it handles dependency
 and prerequisite relationships between objects clearly and explicitly.

Package: puppetmaster
Architecture: all
Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version})
Breaks: puppet (<< 0.24.7-1)
Replaces: puppet (<< 0.24.7-1)
Description: Centralized configuration management - master startup and compatibility scripts
 This package contains the startup and compatibility scripts for the puppet
 master, which is the server hosting manifests and files for the puppet nodes.
 .
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
 separate elements normally aggregated in different files, like users,
 cron jobs, and hosts, along with obviously discrete elements like
 packages, services, and files.
 .
 Puppet's simple declarative specification language provides powerful
 classing abilities for drawing out the similarities between hosts while
 allowing them to be as specific as necessary, and it handles dependency
 and prerequisite relationships between objects clearly and explicitly.

Package: puppetmaster-passenger
Architecture: all
Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), lsb-base, libapache2-mod-passenger
Breaks: puppetmaster (<< 2.6.1~rc2-1)
Replaces: puppetmaster (<< 2.6.1~rc2-1)
Description: Centralised configuration management - master setup to run under mod passenger
 This package provides a puppetmaster running under mod passenger.
 This configuration offers better performance and scalability.
 .
 Puppet lets you centrally manage every important aspect of your system
 using a cross-platform specification language that manages all the
 separate elements normally aggregated in different files, like users,
 cron jobs, and hosts, along with obviously discrete elements like
 packages, services, and files.
 .
 Puppet's simple declarative specification language provides powerful
 classing abilities for drawing out the similarities between hosts while
 allowing them to be as specific as necessary, and it handles dependency
 and prerequisite relationships between objects clearly and explicitly.

Package: vim-puppet
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Breaks: puppet (<< 0.25.4-1)
Replaces: puppet (<< 0.25.4-1)
Description: syntax highlighting for puppet manifests in vim
 The vim-puppet package provides filetype detection and syntax highlighting for
 puppet manifests (files ending with ".pp").
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this
 purpose.

Package: puppet-el
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Breaks: puppet (<< 0.25.4-1)
Replaces: puppet (<< 0.25.4-1)
Description: syntax highlighting for puppet manifests in emacs
 The puppet-el package provides syntax highlighting for puppet
 manifests (files ending with (".pp").
 .
 As per the Debian emacs policy, installed addons are activated
 automatically.
