## puppet 2.7.19

=== puppet-2.7.19/debian/changelog ===
puppet (2.7.19-0.1rc2puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.19rc2

 -- Moses Mendoza <moses@puppetlabs.com>  Tue, 7 Aug 2012 16:04:14 +0000

puppet (2.7.19-0.1rc1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.19rc1

 -- Moses Mendoza <moses@puppetlabs.com>  Wed, 1 Aug 2012 16:32:14 +0000

puppet (2.7.18-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.18

 -- Moses Mendoza <moses@puppetlabs.com>  Tue, 10 Jun 2012 14:02:14 +0000
