## puppet 2.7.20

=== debian/changelog ===
puppet (2.7.20-2puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.7.20-2puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 18 Jan 2013 00:40:34 +0000

puppet (2.7.19-1puppetlabs2) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * (#16086) Add version parameter to rm_conffile call in puppetmaster preinst and postinst

 -- Will Hopper <whopper@puppetlabs.com>  Thu, 23 Aug 2012 12:00:14 +0000

puppet (2.7.19-1puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.19

 -- Moses Mendoza <moses@puppetlabs.com>  Tue, 21 Aug 2012 15:09:14 +0000

puppet (2.7.19-0.1rc3puppetlabs1) hardy jaunty karmic lucid maverick natty oneiric unstable lenny sid squeeze wheezy precise; urgency=low

  * Imported Upstream version 2.7.19rc3

 -- Moses Mendoza <moses@puppetlabs.com>  Tue, 14 Aug 2012 13:00:14 +0000
