## puppet 2.7.21

=== debian/changelog ===
puppet (2.7.21-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.7.21-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 11 Mar 2013 10:36:23 -0700
