## puppet 2.7.23

=== debian/changelog ===
puppet (2.7.23-1~deb7u3) wheezy-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2013-4969-2.7.x-temp-file-regression-fix.patch patch.
    Fix regression introduced by original fix for CVE-2013-4969. When a file
    is created with content, the assumed default mode should be 0644.
    (Closes: #734444)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Jan 2014 21:44:28 +0100

puppet (2.7.23-1~deb7u2) wheezy-security; urgency=high

  * Add tempfile vulnerability patch (CVE-2013-4969)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 24 Dec 2013 12:33:39 +0100

puppet (2.7.23-1~deb7u1) wheezy-security; urgency=high

  * Imported upstream release 2.7.23 (CVE-2013-4761, CVE-2013-4956)
    - removed backported security patches included in 2.7.23

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 19 Sep 2013 10:58:02 +0200

puppet (2.7.18-5) wheezy-security; urgency=high

  * Import upstream patch to fix YAML loading vulnerability (CVE-2013-3567)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 23 Jun 2013 13:11:31 +0200

puppet (2.7.18-4) unstable; urgency=low

  * Import upstream patch to fix puppet's handling of symbolic links 
    (Closes: #698294)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 15 Mar 2013 20:32:40 +0100
