=== debian/control ===
--- 
+++ 
@@ -3,18 +3,30 @@
 Priority: optional
 Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends-Indep: ruby (>= 1.8.1), libopenssl-ruby, facter (>= 1.5)
-Build-Depends: debhelper (>= 8.1.0~), openssl
+Build-Depends:
+ debhelper (>= 9~),
+ gem2deb (>= 0.2.13~),
+ rake,
+ ruby-rspec,
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
 Vcs-Browser: http://git.debian.org/?p=pkg-puppet/puppet.git
 Homepage: http://projects.puppetlabs.com/projects/puppet
+XS-Ruby-Versions: ruby1.8
 
 Package: puppet-common
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, libxmlrpc-ruby, libopenssl-ruby, libshadow-ruby1.8, libaugeas-ruby1.8, adduser, facter, lsb-base, sysv-rc (>= 2.87) | file-rc
+XB-Ruby-Versions: ${ruby:Versions}
+Depends: ${misc:Depends},
+ adduser,
+ facter,
+ libaugeas-ruby1.8,
+ lsb-base,
+ ruby1.8,
+ ruby-shadow,
+ sysv-rc (>= 2.87) | file-rc,
 Recommends: lsb-release, debconf-utils
-Suggests: ruby-selinux | libselinux-ruby1.8, librrd-ruby1.8
+Suggests: ruby-selinux, librrd-ruby1.8
 Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
 Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
 Description: Centralized configuration management
@@ -36,7 +48,9 @@
 Package: puppet
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby1.8
+Depends: ${misc:Depends},
+ puppet-common (= ${binary:Version}),
+ ruby1.8,
 Recommends: rdoc
 Suggests: puppet-el, vim-puppet, etckeeper
 Description: Centralized configuration management - agent startup and compatibility scripts
@@ -56,12 +70,21 @@
 
 Package: puppetmaster-common
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppet-common (= ${binary:Version}), lsb-base
+Depends: ${misc:Depends},
+ lsb-base,
+ puppet-common (= ${binary:Version}),
+ ruby1.8,
 Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
 Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
-Suggests: apache2 | nginx, puppet-el, vim-puppet,
- stompserver, ruby-stomp | libstomp-ruby1.8 (>= 1.1.5), rails (>= 1.2.3-2), rdoc,
- ruby-ldap | libldap-ruby1.8
+Suggests:
+ apache2 | nginx,
+ puppet-el,
+ rails (>= 1.2.3-2),
+ rdoc,
+ ruby-ldap,
+ ruby-stomp,
+ stompserver,
+ vim-puppet,
 Description: Puppet master common scripts
  This package contains common scripts for the puppet master, 
  which is the server hosting manifests and files for the puppet nodes.
@@ -79,7 +102,9 @@
 
 Package: puppetmaster
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version})
+Depends: ${misc:Depends},
+ puppetmaster-common (= ${source:Version}),
+ ruby1.8,
 Breaks: puppet (<< 0.24.7-1)
 Replaces: puppet (<< 0.24.7-1)
 Description: Centralized configuration management - master startup and compatibility scripts
@@ -99,7 +124,11 @@
 
 Package: puppetmaster-passenger
 Architecture: all
-Depends: ${misc:Depends}, ruby1.8, puppetmaster-common (= ${source:Version}), lsb-base, libapache2-mod-passenger
+Depends: ${misc:Depends},
+ libapache2-mod-passenger,
+ lsb-base,
+ puppetmaster-common (= ${source:Version}),
+ ruby1.8,
 Breaks: puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
 Description: Centralised configuration management - master setup to run under mod passenger
@@ -143,3 +172,24 @@
  As per the Debian emacs policy, installed addons are activated
  automatically.
 
+Package: puppet-testsuite
+Architecture: all
+Depends: ${misc:Depends},
+ git-core,
+ lsb-base,
+ puppet-common (= ${source:Version}),
+ rails (>= 1.2.3-2),
+ rdoc,
+ ruby1.8,
+ ruby-ldap,
+ ruby-mocha,
+ ruby-rspec,
+ ruby-sqlite3,
+Recommends: cron
+Suggests: ruby
+Description: Centralized configuration management - test suite
+ This package provides all the tests from the upstream puppet source code.
+ The tests are used for improving the QA of the puppet package.
+ .
+ Tests are installed under /usr/share/puppet-testsuite, and can be
+ performed using "rake unit" in that directory.
