=== debian/watch ===
version=3
http://downloads.puppetlabs.com/puppet/ puppet-([0-9\.]+).tar.gz
