## puppet 2.7.24

=== debian/changelog ===
puppet (2.7.24-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.7.24-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 26 Dec 2013 16:04:21 -0800
