## puppet 2.7.25

=== debian/changelog ===
puppet (2.7.25-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 2.7.25-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 06 Jan 2014 15:49:51 -0800
