## puppet 3.0.0

=== debian/changelog ===
puppet (3.0.0-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.0.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 28 Sep 2012 17:45:09 +0000
