## puppet 3.0.1

=== debian/changelog ===
puppet (3.0.1-0.1rc1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.0.1-0.1rc1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 12 Oct 2012 05:03:30 +0000
