## puppet 3.0.2

=== debian/changelog ===
puppet (3.0.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.0.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Wed, 26 Dec 2012 22:54:53 +0000
