## puppet 3.1.0

=== debian/changelog ===
puppet (3.1.0-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 04 Feb 2013 18:23:28 +0000

puppet (3.1.0-0.1rc1puppetlabs1) lucid natty oneiric precise unstable sid squeeze wheezy precise; urgency=low

  * Add extlookup2hiera manpage to puppet-common.manpages

 -- Matthaus Owens <matthaus@puppetlabs.com>  Fri, 25 Jan 2013 14:45:14 +0000
