## puppet 3.1.1

=== debian/changelog ===
puppet (3.1.1-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.1.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 08 Mar 2013 15:03:02 -0800
