## puppet 3.2.0

=== debian/changelog ===
puppet (3.2.0-0.1rc2puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.2.0-0.1rc2puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 07 May 2013 01:03:28 +0000

puppet (3.2.0-0.1rc0puppetlabs1) lucid oneiric precise unstable sid squeeze wheezy precise; urgency=low

  * Add ruby-rgen dependency for new parser in Puppet 3.2

 -- Matthaus Owens <matthaus@puppetlabs.com>  Fri, 12 Apr 2013 14:45:14 +0000
