=== debian/control ===
--- 
+++ 
@@ -1,34 +1,23 @@
 Source: puppet
 Section: admin
 Priority: optional
-Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
+Maintainer: Puppet Labs <info@puppetlabs.com>
 Uploaders: Micah Anderson <micah@debian.org>, Andrew Pollock <apollock@debian.org>, Nigel Kersten <nigel@explanatorygap.net>, Stig Sandbeck Mathisen <ssm@debian.org>
-Build-Depends:
- debhelper (>= 9~),
- gem2deb (>= 0.2.13~),
- rake,
- ruby-rspec,
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-puppet/puppet.git
-Vcs-Browser: http://git.debian.org/?p=pkg-puppet/puppet.git
+Build-Depends-Indep: ruby | ruby-interpreter, libopenssl-ruby, facter (>= 1.6.12)
+Build-Depends: debhelper (>= 7.0.0), openssl
+Standards-Version: 3.9.1
+Vcs-Git: git://github.com/puppetlabs/puppet
 Homepage: http://projects.puppetlabs.com/projects/puppet
-XS-Ruby-Versions: ruby1.8
 
 Package: puppet-common
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
-Depends: ${misc:Depends},
- adduser,
- facter,
- libaugeas-ruby1.8,
- lsb-base,
- ruby1.8,
- ruby-shadow,
- sysv-rc (>= 2.87) | file-rc,
+Depends: ${misc:Depends}, ruby | ruby-interpreter, libxmlrpc-ruby, libopenssl-ruby, ruby-shadow | libshadow-ruby1.8, libaugeas-ruby | libaugeas-ruby1.9.1 | libaugeas-ruby1.8, adduser, lsb-base, sysv-rc (>= 2.86) | file-rc, hiera (>= 1.0.0), facter (>= 1.6.12), ruby-rgen
 Recommends: lsb-release, debconf-utils
-Suggests: ruby-selinux, librrd-ruby1.8
-Breaks: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
-Replaces: puppet (<< 2.7.5-3), puppetmaster (<< 0.25.4-1)
+Suggests: ruby-selinux | libselinux-ruby1.8, librrd-ruby1.9.1 | librrd-ruby1.8
+Breaks: puppet (<< 2.6.0~rc2-1), puppetmaster (<< 0.25.4-1)
+Provides: hiera-puppet
+Conflicts: hiera-puppet
+Replaces: hiera-puppet
 Description: Centralized configuration management
  Puppet lets you centrally manage every important aspect of your system
  using a cross-platform specification language that manages all the
@@ -47,12 +36,9 @@
 
 Package: puppet
 Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
- puppet-common (= ${binary:Version}),
- ruby1.8,
+Depends: ${misc:Depends},  puppet-common (= ${binary:Version}), ruby | ruby-interpreter
 Recommends: rdoc
-Suggests: puppet-el, vim-puppet, etckeeper
+Suggests: puppet-el, vim-puppet
 Description: Centralized configuration management - agent startup and compatibility scripts
  This package contains the startup script and compatbility scripts for the
  puppet agent, which is the process responsible for configuring the local node.
@@ -70,23 +56,13 @@
 
 Package: puppetmaster-common
 Architecture: all
-Depends: ${misc:Depends},
- lsb-base,
- puppet-common (= ${binary:Version}),
- ruby1.8,
-Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
-Replaces: puppet (<< 0.24.7-1), puppetmaster (<< 2.7.6-1~)
-Suggests:
- apache2 | nginx,
- puppet-el,
- rails (>= 1.2.3-2),
- rdoc,
- ruby-ldap,
- ruby-stomp,
- stompserver,
- vim-puppet,
+Depends: ${misc:Depends}, ruby | ruby-interpreter, puppet-common (= ${binary:Version}), facter (>= 1.6.12), lsb-base
+Breaks: puppet (<< 0.24.7-1), puppetmaster (<< 2.6.1~rc2-1)
+Replaces: puppetmaster (<< 2.6.1~rc2-1)
+Suggests: apache2 | nginx, puppet-el, vim-puppet, stompserver, ruby-stomp | libstomp-ruby1.8,
+ rdoc, ruby-ldap | libldap-ruby1.8, puppetdb-terminus
 Description: Puppet master common scripts
- This package contains common scripts for the puppet master, 
+ This package contains common scripts for the puppet master,
  which is the server hosting manifests and files for the puppet nodes.
  .
  Puppet lets you centrally manage every important aspect of your system
@@ -102,11 +78,10 @@
 
 Package: puppetmaster
 Architecture: all
-Depends: ${misc:Depends},
- puppetmaster-common (= ${source:Version}),
- ruby1.8,
+Depends: ${misc:Depends}, ruby | ruby-interpreter, puppetmaster-common (= ${source:Version}), facter (>= 1.6.12), lsb-base
 Breaks: puppet (<< 0.24.7-1)
-Replaces: puppet (<< 0.24.7-1)
+Suggests: apache2 | nginx, puppet-el, vim-puppet, stompserver, ruby-stomp | libstomp-ruby1.8,
+ rdoc, ruby-ldap | libldap-ruby1.8, puppetdb-terminus
 Description: Centralized configuration management - master startup and compatibility scripts
  This package contains the startup and compatibility scripts for the puppet
  master, which is the server hosting manifests and files for the puppet nodes.
@@ -124,12 +99,8 @@
 
 Package: puppetmaster-passenger
 Architecture: all
-Depends: ${misc:Depends},
- libapache2-mod-passenger,
- lsb-base,
- puppetmaster-common (= ${source:Version}),
- ruby1.8,
-Breaks: puppetmaster (<< 2.6.1~rc2-1)
+Depends: ${misc:Depends}, ruby | ruby-interpreter, puppetmaster-common (= ${source:Version}), facter (>= 1.6.12), lsb-base, libapache2-mod-passenger
+Conflicts: puppetmaster (<< 2.6.1~rc2-1)
 Replaces: puppetmaster (<< 2.6.1~rc2-1)
 Description: Centralised configuration management - master setup to run under mod passenger
  This package provides a puppetmaster running under mod passenger.
@@ -145,51 +116,28 @@
  classing abilities for drawing out the similarities between hosts while
  allowing them to be as specific as necessary, and it handles dependency
  and prerequisite relationships between objects clearly and explicitly.
+ .
 
 Package: vim-puppet
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: vim-addon-manager
-Breaks: puppet (<< 0.25.4-1)
-Replaces: puppet (<< 0.25.4-1)
+Conflicts: puppet (<< ${source:Version})
 Description: syntax highlighting for puppet manifests in vim
  The vim-puppet package provides filetype detection and syntax highlighting for
  puppet manifests (files ending with ".pp").
- .
- As per the Debian vim policy, installed addons are not activated
- automatically, but the "vim-addon-manager" tool can be used for this
- purpose.
 
 Package: puppet-el
 Architecture: all
 Depends: ${misc:Depends}, emacsen-common
-Breaks: puppet (<< 0.25.4-1)
-Replaces: puppet (<< 0.25.4-1)
+Conflicts: puppet (<< ${source:Version})
 Description: syntax highlighting for puppet manifests in emacs
- The puppet-el package provides syntax highlighting for puppet
- manifests (files ending with (".pp").
- .
- As per the Debian emacs policy, installed addons are activated
- automatically.
+ The puppet-el package provides syntax highlighting for puppet manifests
 
 Package: puppet-testsuite
 Architecture: all
-Depends: ${misc:Depends},
- git-core,
- lsb-base,
- puppet-common (= ${source:Version}),
- rails (>= 1.2.3-2),
- rdoc,
- ruby1.8,
- ruby-ldap,
- ruby-mocha,
- ruby-rspec,
- ruby-sqlite3,
+Depends: ${misc:Depends}, ruby | ruby-interpreter, puppet-common (= ${source:Version}), facter (>= 1.6.12), lsb-base, rails (>= 1.2.3-2), rdoc, ruby-ldap | libldap-ruby1.8, ruby-rspec | librspec-ruby, git-core, ruby-mocha | libmocha-ruby1.8
 Recommends: cron
-Suggests: ruby
 Description: Centralized configuration management - test suite
  This package provides all the tests from the upstream puppet source code.
  The tests are used for improving the QA of the puppet package.
- .
- Tests are installed under /usr/share/puppet-testsuite, and can be
- performed using "rake unit" in that directory.
