## puppet 3.2.1

=== debian/changelog ===
puppet (3.2.1-0.1rc1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.2.1-0.1rc1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 17 May 2013 15:50:00 -0700
