## puppet 3.2.2

=== debian/changelog ===
puppet (3.2.2-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.2.2-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 13 Jun 2013 18:12:20 +0000
