## puppet 3.2.3

=== debian/changelog ===
puppet (3.2.3-1puppetlabs1) hardy lucid natty oneiric unstable sid squeeze wheezy precise; urgency=low

  * Update to version 3.2.3-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Thu, 11 Jul 2013 17:16:06 -0700

puppet (3.2.3-0.1rc0puppetlabs1) lucid unstable sid squeeze wheezy precise quantal raring; urgency=low

  * Update ruby-rgen dependency to 0.6.5

 -- Matthaus Owens <matthaus@puppetlabs.com>  Thu, 27 Jun 2013 14:45:14 +0000
